<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractAction;

class UserSwitchingForgetWoocommerceSessionHook extends AbstractAction
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        try {
            if (!function_exists('WC')) {
                return;
            }

            $wc = WC();

            if (!property_exists($wc, 'session')) {
                return;
            }

            if (!is_object($wc->session)) {
                return;
            }

            if (!method_exists($wc->session, 'forget_session')) {
                return;
            }

            $wc->session->forget_session();
        } catch (\Exception $e) {
            return;
        }
    }
}