<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractFilter;
use BuilderiusPro\Bundle\BuilderBundle\Helper\UserSwitchingHelper;

class UserSwitchingOldUserSelfEditCapabilities extends AbstractFilter
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        $allcaps = func_get_arg(0);
        $args = func_get_arg(2);
        $oldUser = UserSwitchingHelper::getOldUser();
        if ($oldUser && in_array($args[0], ['edit_user', 'edit_user_meta']) && $args[2] == $oldUser->ID) {
            $allcaps[$args[0]] = true;
        }

        return $allcaps;
    }
}