<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractFilter;

class UserSwitchingShowAdminBarForUserSwitchOffHook extends AbstractFilter
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        global $wp_admin_bar;
        if (null === $wp_admin_bar) {
            require_once ABSPATH . WPINC . '/class-wp-admin-bar.php';
            $wp_admin_bar = new \WP_Admin_Bar();
        }

        return true;
    }
}