<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractAction;

class UserSwitchingWpAjaxHeartbeatHook extends AbstractAction
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        $user = apply_filters('builderius_get_current_user', wp_get_current_user());
        if ($user->has_cap('builderius-development') && empty( $_POST['_nonce'])) {
            $_POST['_nonce'] = 'builderius';
        }
    }
}