<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractFilter;
use BuilderiusPro\Bundle\BuilderBundle\Helper\UserSwitchingHelper;

class UserSwitchingWpAuthCheckHook extends AbstractFilter
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        $response = func_get_arg(0);
        if ($response['wp-auth-check'] === false) {
            if (UserSwitchingHelper::getOldUser() instanceof \WP_User) {
                $response['wp-auth-check'] = true;
            }
        }

        return $response;
    }
}