<?php

namespace BuilderiusPro\Bundle\ComponentBundle\Condition;

use Builderius\MooMoo\Platform\Bundle\ConditionBundle\Model\AbstractCondition;
use BuilderiusPro\Bundle\ComponentBundle\Provider\TemplatePart\BuilderiusTemplatePartProviderInterface;

class HasAppliedBuilderiusTemplatePartCondition extends AbstractCondition
{
    /**
     * @var BuilderiusTemplatePartProviderInterface
     */
    private $builderiusTemplatePartProvider;

    /**
     * @param BuilderiusTemplatePartProviderInterface $builderiusTemplatePartProvider
     * @return $this
     */
    public function setBuilderiusTemplatePartProvider(BuilderiusTemplatePartProviderInterface $builderiusTemplatePartProvider)
    {
        $this->builderiusTemplatePartProvider = $builderiusTemplatePartProvider;

        return $this;
    }

    /**
     * @inheritDoc
     */
    protected function getResult()
    {
        if ($this->builderiusTemplatePartProvider->getTemplatePartPost()) {
            return true;
        }

        return false;
    }
}