<?php

namespace BuilderiusPro\Bundle\GlobalFragmentBundle\Hook;

use Builderius\Bundle\TemplateBundle\Registration\BuilderiusTemplateTechnologyTaxonomy;
use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractAction;
use BuilderiusPro\Bundle\GlobalFragmentBundle\Registration\BuilderiusGlobalFragmentPostType;
use BuilderiusPro\Bundle\SavedFragmentBundle\Registration\BuilderiusSavedFragmentCategoryTaxonomy;
use BuilderiusPro\Bundle\SavedFragmentBundle\Registration\BuilderiusSavedFragmentTagTaxonomy;
use BuilderiusPro\Bundle\SavedFragmentBundle\Registration\BuilderiusSavedFragmentTypeTaxonomy;

class TemplateTaxonomiesAssigningHook extends AbstractAction
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        register_taxonomy_for_object_type(
            BuilderiusSavedFragmentTypeTaxonomy::NAME,
            BuilderiusGlobalFragmentPostType::POST_TYPE
        );
        register_taxonomy_for_object_type(
            BuilderiusSavedFragmentCategoryTaxonomy::NAME,
            BuilderiusGlobalFragmentPostType::POST_TYPE
        );
        register_taxonomy_for_object_type(
            BuilderiusSavedFragmentTagTaxonomy::NAME,
            BuilderiusGlobalFragmentPostType::POST_TYPE
        );
        register_taxonomy_for_object_type(
            BuilderiusTemplateTechnologyTaxonomy::NAME,
            BuilderiusGlobalFragmentPostType::POST_TYPE
        );
    }
}