<?php

namespace BuilderiusPro\Bundle\SettingBundle\DependencyInjection;

use Builderius\Symfony\Component\Config\FileLocator;
use Builderius\Symfony\Component\DependencyInjection\ContainerBuilder;
use Builderius\Symfony\Component\DependencyInjection\Extension\Extension;
use Builderius\Symfony\Component\DependencyInjection\Loader;

class BuilderiusProSettingExtension extends Extension
{
    /**
     * {@inheritdoc}
     */
    public function load(array $configs, ContainerBuilder $container)
    {
        $loader = new Loader\YamlFileLoader($container, new FileLocator(__DIR__.'/../Resources/config'));
        $loader->load('services.yml');
        $loader->load('settings.yml');
        $loader->load('settings_tabs.yml');
        $loader->load('settings_paths.yml');
        $loader->load('settings_components.yml');
        $loader->load('settings_values.yml');
        $loader->load('event_listeners.yml');
        $loader->load('languages.yml');
        $loader->load('imagecompare_settings_categories.yml');
        $loader->load('imagecompare_settings_facades.yml');
        $loader->load('modal_settings_facades.yml');
        $loader->load('pagination_settings_facades.yml');
        $loader->load('smartform_settings_facades.yml');
        $loader->load('swiper_settings_categories.yml');
        $loader->load('swiper_settings_facades.yml');
    }
}
