<?php

namespace BuilderiusPro\Bundle\TemplateBundle\ApplyRule\Category;

use Builderius\Bundle\TemplateBundle\ApplyRule\Category\AbstractBuilderiusTemplateApplyRuleCategory;
use Builderius\Bundle\TemplateBundle\ApplyRule\Category\BuilderiusTemplateApplicantParametersAwareApplyRuleCategoryInterface;

class BuilderiusTemplateApplyRuleMultilingualCategory extends AbstractBuilderiusTemplateApplyRuleCategory implements
    BuilderiusTemplateApplicantParametersAwareApplyRuleCategoryInterface
{
    const NAME = 'multilingual';
    const ALIAS ='multilingual';
    const SORT_ORDER = 40;

    /**
     * @inheritDoc
     */
    public function getLabel()
    {
        return __('Multilingual');
    }

    /**
     * @inheritDoc
     */
    public function getDescription()
    {
        return __('The goal of apply rules in this category is to make possible to apply template based on localization. Apply rules of this category are optional.', 'builderius');
    }

    /**
     * @inheritDoc
     */
    public function getVariableObject()
    {
        return null;
    }
}
