<?php

namespace BuilderiusPro\Bundle\UpdateBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractFilter;

class AddOriginHeaderHook extends AbstractFilter
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        $args = func_get_arg(0);
        $url = func_get_arg(1);
        if (strpos($url, 'my.builderius.io') !== false) {
            if (!isset($args['headers'])) {
                $args['headers'] = [];
            }
            $args['headers']['origin'] = substr($_SERVER['HTTP_HOST'], 0, 4) == "www."? substr($_SERVER['HTTP_HOST'], 4) : $_SERVER['HTTP_HOST'];
        }

        return $args;
    }
}