<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Condition;

use Builderius\MooMoo\Platform\Bundle\ConditionBundle\Model\AbstractCondition;
use BuilderiusPro\Bundle\BuilderBundle\Helper\UserSwitchingHelper;

class BuilderiusUserSwitched extends AbstractCondition
{
    /**
     * @inheritDoc
     */
    protected function getResult()
    {
        $oldUser = UserSwitchingHelper::getOldUser();
        return $oldUser !== false && $oldUser !== wp_get_current_user();
    }
}