<?php

namespace BuilderiusPro\Bundle\BuilderBundle\DependencyInjection\CompilerPass;

use Builderius\Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Builderius\Symfony\Component\DependencyInjection\ContainerBuilder;

class ServicesClassesChangeCompilerPass implements CompilerPassInterface
{
    /**
     * @inheritDoc
     */
    public function process(ContainerBuilder $container)
    {
        $previewInDevModeCondition = $container->getDefinition('builderius_builder.condition.is_preview_in_dev_mode');
        $previewInDevModeCondition->setClass('Builderius\Bundle\BuilderBundle\Condition\BuilderiusPreviewInDevMode');
        $previewInDevModeCondition2 = $container->getDefinition('is_builderius_preview_in_dev_mode');
        $previewInDevModeCondition2->setClass('Builderius\Bundle\BuilderBundle\Condition\BuilderiusPreviewInDevMode');
    }
}
