<?php

namespace BuilderiusPro\Bundle\BuilderBundle\Hook;

use Builderius\MooMoo\Platform\Bundle\HookBundle\Model\AbstractFilter;
use BuilderiusPro\Bundle\BuilderBundle\Helper\UserSwitchingHelper;

class UserSwitchingOldUserSelfEditMapMetaCapabilities extends AbstractFilter
{
    /**
     * @inheritDoc
     */
    public function getFunction()
    {
        $allcaps = func_get_arg(0);
        $cap = func_get_arg(1);
        $args = func_get_arg(3);
        $oldUser = UserSwitchingHelper::getOldUser();
        if ($oldUser && in_array($cap, ['edit_user', 'edit_user_meta']) && $args[0] == $oldUser->ID) {
            return [$cap];
        }

        return $allcaps;
    }
}