<?php

namespace BuilderiusPro\Bundle\ComponentBundle;

use Builderius\MooMoo\Platform\Bundle\KernelBundle\Bundle\Bundle;
use Builderius\Symfony\Component\DependencyInjection\ContainerBuilder;
use BuilderiusPro\Bundle\ComponentBundle\DependencyInjection\CompilerPass\TemplateHooksAndListenersDecorationCompilerPass;

class BuilderiusProComponentBundle extends Bundle
{
    /**
     * @inheritDoc
     */
    public function build(ContainerBuilder $container)
    {
        parent::build($container);

        $container->addCompilerPass(new TemplateHooksAndListenersDecorationCompilerPass());
    }
}
