<?php

namespace BuilderiusPro\Bundle\ComponentBundle\EventListener;

use Builderius\Bundle\TemplateBundle\Event\ConfigContainingEvent;

class TemplatePartEntityTypeSettingEventListener
{
    public function onEntityTypeSetting(ConfigContainingEvent $event)
    {
        $config = $event->getConfig();
        if ($config['type'] === 'template_part') {
            $config['entity_type'] = 'template_part';
            $event->setConfig($config);
        }
    }
}