<?php

namespace BuilderiusPro\Bundle\TemplateBundle\ApplyRule\Category;

use Builderius\Bundle\TemplateBundle\ApplyRule\Category\AbstractBuilderiusTemplateApplyRuleCategory;

class BuilderiusTemplateApplyRuleDeviceCategory extends AbstractBuilderiusTemplateApplyRuleCategory
{
    const NAME = 'device';
    const ALIAS ='device';
    const SORT_ORDER = 50;

    /**
     * @inheritDoc
     */
    public function getLabel()
    {
        return __('Device');
    }

    /**
     * @inheritDoc
     */
    public function getDescription()
    {
        return __('The goal of apply rules in this category is to make possible to apply template based on user device. Apply rules of this category are optional.', 'builderius');
    }

    /**
     * @inheritDoc
     */
    public function getVariableObject()
    {
        return null;
    }
}
