<?php

namespace BuilderiusPro\Bundle\TemplateBundle\ApplyRule\Category;

use Builderius\Bundle\TemplateBundle\ApplyRule\Category\AbstractBuilderiusTemplateApplyRuleCategory;
use Builderius\Bundle\TemplateBundle\ApplyRule\Category\BuilderiusTemplateApplicantParametersAwareApplyRuleCategoryInterface;

class BuilderiusTemplateApplyRuleSuperglobalsCategory extends AbstractBuilderiusTemplateApplyRuleCategory implements
    BuilderiusTemplateApplicantParametersAwareApplyRuleCategoryInterface
{
    const NAME = 'superglobals';
    const ALIAS ='superglobals';
    const SORT_ORDER = 30;

    /**
     * @inheritDoc
     */
    public function getLabel()
    {
        return __('Superglobals');
    }

    /**
     * @inheritDoc
     */
    public function getDescription()
    {
        return __('The goal of apply rules in this category is to make possible to apply template based on PHP Superglobals(which are described in details here: https://www.php.net/manual/en/language.variables.superglobals.php) like $_GET, $_POST, $_COOKIE. Apply rules of this category are optional.', 'builderius');
    }

    /**
     * @inheritDoc
     */
    public function getVariableObject()
    {
        return null;
    }
}
