<?php

namespace BuilderiusPro\Bundle\TemplateBundle\ApplyRule\Category;

use Builderius\Bundle\TemplateBundle\ApplyRule\Category\AbstractBuilderiusTemplateApplyRuleCategory;

class BuilderiusTemplateApplyRuleUserCategory extends AbstractBuilderiusTemplateApplyRuleCategory
{
    const NAME = 'user';
    const ALIAS ='user';
    const SORT_ORDER = 20;

    /**
     * @inheritDoc
     */
    public function getLabel()
    {
        return __('User');
    }

    /**
     * @inheritDoc
     */
    public function getDescription()
    {
        return __('The goal of apply rules in this category is to make possible to apply template based on Wordpress current user properties. Apply rules of this category are optional.', 'builderius');
    }

    /**
     * @inheritDoc
     */
    public function getVariableObject()
    {
        return wp_get_current_user();
    }
}
