<?php

namespace BuilderiusPro\Bundle\TemplateBundle\ApplyRule\Provider;

use Builderius\Bundle\TemplateBundle\ApplyRule\Provider\AbstractApplyRuleArgumentsProvider;

class AvailablePostFormatsProvider extends AbstractApplyRuleArgumentsProvider
{
    /**
     * @inheritDoc
     */
    public function getArguments()
    {
        $results = [];
        /** @var \WP_Term $format */
        foreach (get_terms(['taxonomy' => 'post_format']) as $format) {
            $results[] = ['value' => $format->term_id, 'title' => $format->name];
        }
        $results = $this->sort($results);
        
        return $results;
    }
}
